unit uPluginCobrosMontaje;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCCobrosMontaje = interface(IInterface)
  ['{25930902-D68B-4F4F-BA66-B0F6CAF6F927}']
  end;

  TPluginCobrosMontaje = class(TModuleController, IMCCobrosMontaje)
    actCobrosMontaje: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    Ventas1: TMenuItem;
    Facturasdecliente1: TMenuItem;
    N1: TMenuItem;
    procedure actCobrosMontajeExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation
{$R *.dfm}

uses
  uCobrosMontajeController, uBizCobrosMontaje, uCobrosMontajeViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginCobrosMontaje.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginCobrosMontaje.actCobrosMontajeExecute(Sender: TObject);
var
  ACobrosMontajeController : ICobrosMontajeController;
  ACobrosMontaje : IBizCobroMontaje;

begin
  ACobrosMontajeController := TCobrosMontajeController.Create;
  ACobrosMontaje := (ACobrosMontajeController.BuscarTodos as IBizCobroMontaje);
  ACobrosMontajeController.VerTodos(ACobrosMontaje);
end;

constructor TPluginCobrosMontaje.Create(AOwner: TComponent);
begin
  inherited;
  uCobrosMontajeViewRegister.RegisterViews;
end;

destructor TPluginCobrosMontaje.Destroy;
begin
  uCobrosMontajeViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginCobrosMontaje);

finalization
  UnRegisterModuleClass(TPluginCobrosMontaje);

end.
